---
lang: en
title: 'API docs: socketio.socketiocontrollerfactory.connect'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiocontrollerfactory.connect.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoControllerFactory](./socketio.socketiocontrollerfactory.md) &gt; [connect](./socketio.socketiocontrollerfactory.connect.md)

## SocketIoControllerFactory.connect() method

**Signature:**

```typescript
connect(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;


